Get an overview of Pools, Operators and Addresses
curl --request GET \
--url https://api.rated.network/v1/eth/entities/{entity_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/entities/{entity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"name": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"networkPenetration": 0.07855633469653803,
"operatorCount": 0,
"type": "depositAddress",
"validatorCount": 37361
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Get an overview of Pools, Operators and Addresses
This endpoint returns an overview of Pools, Operators and Addresses.
GET
/
v1
/
eth
/
entities
/
{entity_id}
Get an overview of Pools, Operators and Addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The type of entity class you would like returned
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Response
Successful Response
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0